Update a mailbox note
Updates the fields you name and keeps the rest. Only the note's author may. Request: PATCH /v1/mailboxes/{id}/threads/{threadId}/notes/{noteId}.
PATCH
Updates the fields you name and keeps the rest. Only the note's author may.
apiKeyheader
x-api-key<token>id*stringMatch
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$threadId*stringMatch
^thread_[0-9a-hjkmnp-tv-z]{16,24}$noteId*stringMatch
^note_[0-9a-hjkmnp-tv-z]{16,24}$application/json- body
body?string|nullcolor?string|null|nullpinned?boolean|nullMailboxNote
application/json- response
id*MailboxNoteIdMatch
^note_[0-9a-hjkmnp-tv-z]{16,24}$author*body*stringcolor*string|nullpinned*booleancreatedAt*stringupdatedAt*stringimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.mailboxes.updateNote({
"id": "example",
"threadId": "example",
"noteId": "example"
});Example Response
{
"id": "string",
"author": {
"kind": "user",
"id": "string",
"displayName": "string"
},
"body": "string",
"color": "string",
"pinned": true,
"createdAt": "string",
"updatedAt": "string"
}